using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;

namespace EVCB_OCPP.Packet.Messages.LocalAuthListManagement
{
    public class GetLocalListVersionRequest : IRequest
    {
        public GetLocalListVersionRequest()
        {
            Action = Actions.GetLocalListVersion.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }

        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}